Autodesk Navisworks 2012 Service Pack 1

Installation Information
Navisworks Service Pack Readme 2012 >
Autodesk Navisworks 2012 Service Pack 1
Concept Procedure

Thank you for downloading Autodesk Navisworks 2012 Service Pack 1.

This readme contains the latest information regarding the installation and use of this service pack. It is strongly recommended that you read this entire document before you apply this service pack to your product. For reference, you should save this document to your hard drive or print a copy.

NoteAutodesk Navisworks 2012 Service Pack 1 is comprised of two parts, the service pack and the exporters update. These two parts are installed independently of each other. Install the exporters update to implement Autodesk Navisworks 2012 Service Pack 1 exporters functionality.

Topics in this section

  • Installation Information
  • Service Pack Updates
  • Exporter Updates
  • Known Issues
  • Copyrights and Trademarks
Please send us your comment about this page


Autodesk Navisworks 2012 Service Pack 1 (Procedure)

Autodesk Navisworks 2012 Service Pack 1
Installation Information
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 >
Autodesk Navisworks 2012 Service Pack 1
Concept Procedure

To install this service pack on an individual computer

To install this service pack with a command switch

To install the exporters update on an individual computer


Installation Information (Concept)

Autodesk Navisworks 2012 Service Pack 1
Autodesk Navisworks 2012 Service Pack 1
Service Pack Updates
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 >
Installation Information
Concept Procedure

Who Should Install This Service Pack

You can apply this service pack to the following Autodesk products running on all supported operating systems and languages.

  • Autodesk Navisworks Freedom 2012
  • Autodesk Navisworks Manage 2012
  • Autodesk Navisworks Simulate 2012

Supported Operating Systems

You can use this service pack with the following operating systems.

  • 32-bit:

    Microsoft® Windows® 7 Ultimate, Microsoft® Windows® 7 Professional, Microsoft® Windows® 7 Home Premium, Microsoft® Windows® 7 Home Basic, Microsoft® Windows Vista® Enterprise service pack 2 (SP2) or later, Microsoft® Windows Vista® Ultimate service pack 2 (SP2) or later, Microsoft® Windows Vista® Home Premium service pack 2 (SP2) or later, Microsoft® Windows Vista® Home Basic service pack 2 (SP2) or later, Microsoft® Windows® XP Professional service pack 3 (SP3) or later, Microsoft® Windows® XP Home service pack 3 (SP3) or later.

  • 64-bit:

    Microsoft® Windows® 7 Ultimate, Microsoft® Windows® 7 Professional, Microsoft® Windows® 7 Home Premium, Microsoft® Windows® 7 Home Basic, Microsoft® Windows Vista® Enterprise service pack 2 (SP2) or later, Microsoft® Windows Vista® Ultimate service pack 2 (SP2) or later, Microsoft® Windows Vista® Home Premium service pack 2 (SP2) or later, Microsoft® Windows Vista® Home Basic service pack 2 (SP2) or later, Microsoft® Windows® XP Professional service pack 2 (SP2) or later.

Windows Command Line Switches

Two Microsoft® Windows® command line switches are built into this pack:

NoteThe command line switches are only available for the service pack and not the exporters update.

  • /S - runs in silent mode; no progress information appears.
  • /a - unpacks into a deployable form, that is, it extracts the MSP and MSI files from the service pack executable.
    NoteDeployment of this service pack is not supported through the Deployment Wizard. Using /a switch enables you to extract the MSI and MSP files suitable for use in administrative installs.

Instructions about how to use the command line switches are included in this Readme.


Installation Information (Procedure)

Back..
Installation Information
Installation Information
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 > Installation Information >
Installation Information
Concept Procedure

To install this service pack on an individual computer

To install this service pack with a command switch

To install the exporters update on an individual computer


To install this service pack on an individual computer (Procedure)

Installation Information
Installation Information
Installation Information
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 > Installation Information >
Installation Information
Concept Procedure

To install this service pack on an individual computer

  1. Download the service pack and save it to any folder.
  2. Find the folder where you saved it and double-click the appropriate executable file: Autodesk_Navisworks_2012_Service_Pack_Multilingual_Win_32bit.exe or Autodesk_Navisworks_2012_Service_Pack_Multilingual_Win_64bit.exe.


To install this service pack with a command switch (Procedure)

Installation Information
Installation Information
Installation Information
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 > Installation Information >
Installation Information
Concept Procedure

To install this service pack with a command switch

  1. Download the service pack and save it to any folder.
  2. On the Start menu, click Run.
  3. To install the service pack in silent mode, enter information using the following syntax and click OK.

    <local_drive:pathname>\<service_pack_name> /S.

    To extract the MSP files suitable for use in administrative installs, enter information using the following syntax, and click OK.

    <local_drive:pathname>\<service_pack_name> /a.


To install the exporters update on an individual computer (Procedure)

Installation Information
Installation Information
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 > Installation Information >
Installation Information
Concept Procedure

To install the exporters update on an individual computer

  1. Download the exporters update and save it to any folder.
  2. Find the folder where you saved it and double-click the executable file Autodesk_Navisworks_Exporters_2012_Multilingual_Win.exe.


Service Pack Updates

Installation Information
Autodesk Navisworks 2012 Service Pack 1
Exporter Updates
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 >
Service Pack Updates

This service pack fixes the defects in the following sections:

2D and 3D Drawing Support

  • TIFF images included on a 2D sheet may be displayed in the wrong color.
  • Invalid text data on a 2D sheet may result in a DWF file being rendered incorrectly.
  • Lines that are the same height or width as a 2D sheet (the total extent of its view) may not be rendered.
  • Third person avatar used in 3D models is available as an option for 2D sheets.
  • After appending and merging models together, using the Project Browser to search for objects may result in not finding the object, or finding the wrong object in the combined model.

Autodesk Navisworks .NET API

  • Autodesk Navisworks may unexpectedly terminate with a Customer Error Report when setting colors and transparencies, and creating camera animations from viewpoint animations.
  • TimeLiner API TimelinerTask class contains PlannedDuration and ActualDuration properties that would previously always return null or 0 but not return a valid TimeSpan duration when they should do.

Appearance Profiler

  • Saved\loaded selectors attached to selection or search sets do not update when updating the appearance.

AutoCAM

  • Some 3Dconnexion devices, for example SpacePilot PRO and SpaceExplorer, have pre-defined buttons for choosing view orientations and these do not work in Autodesk Navisworks.

Clash Detective

  • Selecting the Import Current Selection context menu item on the clash Select tab does not activate the correct tab in the Selection Tree.
  • The clash selection for the current clash test is overwritten when another model is appended.
  • Expanding a group in the clash Results pane does not update the clash count correctly.
  • When saving a clash report over an existing report, Autodesk Navisworks may unexpectedly terminate with a Customer Error Report.

Data Tools

  • When embedding properties during the publish process it is not possible to track the progress or cancel the process.

General

  • It is not possible to undo the sorting of saved viewpoints and selection sets.
  • Clash Detective and TimeLiner highlighting does work when Full Lighting render and Dim Other options are enabled.
  • Failure to load a file referenced from an NWF leaves Autodesk Navisworks in a corrupt state and it is not possible to save the file.
  • Hyperlink leader lines are rendered incorrectly when two models with different units are appended together.
  • It is not possible to reset the rotation of a model back to zero when it has previously been rotated during the file loading process.
  • The Selection Tree autohides before you can select Switchback from the context menu.
  • The recent file list in the Application menu will not be updated when files are opened or appended indirectly, for example, by double-clicking the file in Windows Explorer, or running Autodesk Navisworks from the command-line.
  • If a saved viewpoint is deleted and then the deletion is undone, sorting saved viewpoints will cause the viewpoint to be deleted again.

Autodesk Navisworks Freedom

  • It is not possible to prepare all the sheets in a multi-sheet file in Autodesk Navisworks Freedom.
  • Autodesk Navisworks Freedom terminates unexpectedly with a Customer Error Report if multiple NWD files are loaded at the same time.

Globalization

  • The Japanese characters are not rendered correctly in FBX files that contain mark-up text in Japanese.

File Input

  • The Resolve File dialog is displayed when switching sheets after deleting an appended file.
  • When saving models to older NWD file formats the saved models cannot be opened in the previous versions of Autodesk Navisworks.
  • Not all of the Autodesk AutoCAD MEP properties are supported by the Autodesk Navisworks file loader.
  • For DWF files Autodesk Navisworks does not handle the world up (Z-axis) vector in the same way as Autodesk Design Review.
  • Multi-sheet DWF files referenced by an NWF file do not open in Autodesk Navisworks and have to be appended separately.
  • Support for FARO 4.8 added to the Autodesk Navisworks 2012 service pack.
  • Items set as hidden in Autodesk Inventor are not hidden in Autodesk Navisworks.
  • Assembly parts are rendered in the wrong position after importing some Autodesk Inventor IAM files.
  • Missing items or empty model when importing SAT file created in Autodesk Revit.

TimeLiner

  • Deleting child tasks from a task hierarchy does not update the dates of the summary tasks.
  • Some task schedules created in previous versions of Autodesk Navisworks may not be upgraded correctly and may result in Autodesk Navisworks unexpectedly terminating with a Customer Error Report if a task is edited.
  • Rebuilding task schedules when a data source is not installed will result in Autodesk Navisworks unexpectedly terminating with a Customer Error Report.
  • When rendering a TimeLiner simulation in Autodesk Navisworks the task appearance coloring is incorrect.

Vault

  • When Autodesk Navisworks cannot resolve referenced files that have been renamed or moved in Autodesk Vault it displays an error message and does not provide a way to resolve the missing reference.
  • The Vault Check In dialog may not show "Virtual Folder" location for referenced files.


Exporter Updates

Service Pack Updates
Autodesk Navisworks 2012 Service Pack 1
Known Issues
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 >
Exporter Updates

This exporter update fixes the defects in the following sections:

File Output

  • Not all of the Autodesk AutoCAD MEP properties are supported by the Autodesk Navisworks exporter.
  • Autodesk Navisworks may terminate unexpectedly with a Customer Error Report when using the Revit Switchback option to select a freestanding wall in the model loaded in Autodesk Revit.
  • Autodesk Revit reports “A Serious Error Has Occurred” while trying to select an Application menu item whilst the Autodesk Navisworks Exporter Export Scene As dialog is open.


Known Issues

Exporter Updates
Autodesk Navisworks 2012 Service Pack 1
Copyrights and Trademarks
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 >
Known Issues

Administration Rights to Install the Service Pack

Issue:

When attempting to install this service pack using a user account with limited administration rights the following may happen, depending on the version of the Windows operating system you have installed:

  • The service pack installer will attempt to install a critical component that requires administrator rights but will fail. In such situations the installation will fail and the service pack installer will back out all changes, or
  • The service pack installer will require the user to enter the administrator password in order to install a critical component of the service pack.

Workaround:

Log on as a user with administrator rights and install the Autodesk Navisworks 2012 Service Pack 1.


Copyrights and Trademarks

Known Issues
Autodesk Navisworks 2012 Service Pack 1
Navisworks Service Pack Readme 2012 > Autodesk Navisworks 2012 Service Pack 1 >
Copyrights and Trademarks

©2011 Autodesk, Inc. All Rights Reserved. Except as otherwise permitted by Autodesk, Inc., this publication, or parts thereof, may not be reproduced in any form, by any method, for any purpose.

Certain materials included in this publication are reprinted with the permission of the copyright holder.

Trademarks

The following are registered trademarks or trademarks of Autodesk, Inc., and/or its subsidiaries and/or affiliates in the USA and other countries: 3DEC (design/logo), 3December, 3December.com, 3ds Max, Algor, Alias, Alias (swirl design/logo), AliasStudio, Alias|Wavefront (design/logo), ATC, AUGI, AutoCAD, AutoCAD Learning Assistance, AutoCAD LT, AutoCAD Simulator, AutoCAD SQL Extension, AutoCAD SQL Interface, Autodesk, Autodesk Envision, Autodesk Intent, Autodesk Inventor, Autodesk Map, Autodesk MapGuide, Autodesk Streamline, AutoLISP, AutoSnap, AutoSketch, AutoTrack, Backburner, Backdraft, Built with ObjectARX (logo), Burn, Buzzsaw, CAiCE, Civil 3D, Cleaner, Cleaner Central, ClearScale, Colour Warper, Combustion, Communication Specification, Constructware, Content Explorer, Dancing Baby (image), DesignCenter, Design Doctor, Designer's Toolkit, DesignKids, DesignProf, DesignServer, DesignStudio, Design Web Format, Discreet, DWF, DWG, DWG (logo), DWG Extreme, DWG TrueConvert, DWG TrueView, DXF, Ecotect, Exposure, Extending the Design Team, Face Robot, FBX, Fempro, Fire, Flame, Flare, Flint, FMDesktop, Freewheel, GDX Driver, Green Building Studio, Heads-up Design, Heidi, HumanIK, IDEA Server, i-drop, ImageModeler, iMOUT, Incinerator, Inferno, Inventor, Inventor LT, Kaydara, Kaydara (design/logo), Kynapse, Kynogon, LandXplorer, Lustre, MatchMover, Maya, Mechanical Desktop, Moldflow, Moonbox, MotionBuilder, Movimento, MPA, MPA (design/logo), Moldflow Plastics Advisers, MPI, Moldflow Plastics Insight, MPX, MPX (design/logo), Moldflow Plastics Xpert, Mudbox, Multi-Master Editing, Navisworks, ObjectARX, ObjectDBX, Open Reality, Opticore, Opticore Opus, Pipeplus, PolarSnap, PortfolioWall, Powered with Autodesk Technology, Productstream, ProjectPoint, ProMaterials, RasterDWG, RealDWG, Real-time Roto, Recognize, Render Queue, Retimer,Reveal, Revit, Showcase, ShowMotion, SketchBook, Smoke, Softimage, Softimage|XSI (design/logo), Sparks, SteeringWheels, Stitcher, Stone, StudioTools, ToolClip, Topobase, Toxik, TrustedDWG, ViewCube, Visual, Visual LISP, Volo, Vtour, Wire, Wiretap, WiretapCentral, XSI, and XSI (design/logo).

LightWorks, the LightWorks logo, LWA and LWA-Enabled are registered trademarks of LightWork Design Ltd. The LWA-Enabled logo, Interactive Image Regeneration, IIR, A-Cubed, Feature-Following Anti-Aliasing and FFAA are all trademarks of LightWork Design Ltd. All other trademarks, images and logos remain the property of their respective owners. Copyright of LightWork Design Ltd. 1990-2007, 2008.

This software is based in part on the work of the Independent JPEG Group.

Disclaimer

THIS PUBLICATION AND THE INFORMATION CONTAINED HEREIN IS MADE AVAILABLE BY AUTODESK, INC. "AS IS." AUTODESK, INC. DISCLAIMS ALL WARRANTIES, EITHER EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO ANY IMPLIED WARRANTIES OF MERCHANTABILITY OR FITNESS FOR A PARTICULAR PURPOSE REGARDING THESE MATERIALS.

This Help file was last updated on 06 September 2011.


Welcome to Autodesk Navisworks Freedom 2012

Previous Link Here
Parent Link Here
Next Link Here
Expand AllExpand all collapsed sections.
Collapse AllCollapse all expanded sections.
Welcome to Autodesk Navisworks Freedom 2012
What's New
New Features
User Interface Guide
Online Resources
Navisworks Website
Support Center
Updates & Service Packs
Navisworks Community
Navisworks on Facebook Navisworks on Twitter Navisworks on LinkedIn Navisworks on YouTube


Welcome to Autodesk Navisworks Manage 2012

Previous Link Here
Parent Link Here
Next Link Here
Expand AllExpand all collapsed sections.
Collapse AllCollapse all expanded sections.
Welcome to Autodesk Navisworks Manage 2012
What's New
New Features
User Interface Guide
Online Resources
Navisworks Website
Support Center
Updates & Service Packs
Navisworks Community
Navisworks on Facebook Navisworks on Twitter Navisworks on LinkedIn Navisworks on YouTube


Welcome to Autodesk Navisworks Simulate 2012

Previous Link Here
Parent Link Here
Next Link Here
Expand AllExpand all collapsed sections.
Collapse AllCollapse all expanded sections.
Welcome to Autodesk Navisworks Simulate 2012
What's New
New Features
User Interface Guide
Online Resources
Navisworks Website
Support Center
Updates & Service Packs
Navisworks Community
Navisworks on Facebook Navisworks on Twitter Navisworks on LinkedIn Navisworks on YouTube


Comments?

Using this form sends your comments to the Autodesk Technical Publications group responsible for this documentation.

Topic title and location (do not edit):
Name (optional):
         Email (optional):
Comments:

Note: This form is not intended as a way for you to receive feedback or technical support. The information you provide will be used to enhance future updates to the documentation. Thanks!